summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2020-01-13 07:19:39 +0100
committerHans de Graaff <graaff@gentoo.org>2020-01-13 07:29:28 +0100
commit88660217d5ab8e1498ce286df1c1f2837a7992ca (patch)
treec16eab0fe024240fb9af3016b70324e946784883 /dev-ruby
parentdev-ruby/delayer: add 1.1.2 (diff)
downloadgentoo-88660217d5ab8e1498ce286df1c1f2837a7992ca.tar.gz
gentoo-88660217d5ab8e1498ce286df1c1f2837a7992ca.tar.bz2
gentoo-88660217d5ab8e1498ce286df1c1f2837a7992ca.zip
dev-ruby/delayer-deferred: add 2.1.3
Package-Manager: Portage-2.3.79, Repoman-2.3.16 Signed-off-by: Hans de Graaff <graaff@gentoo.org>
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/delayer-deferred/Manifest1
-rw-r--r--dev-ruby/delayer-deferred/delayer-deferred-2.1.3.ebuild26
2 files changed, 27 insertions, 0 deletions
diff --git a/dev-ruby/delayer-deferred/Manifest b/dev-ruby/delayer-deferred/Manifest
index fa1e09ae143..3ffc44eba86 100644
--- a/dev-ruby/delayer-deferred/Manifest
+++ b/dev-ruby/delayer-deferred/Manifest
@@ -1,3 +1,4 @@
DIST delayer-deferred-2.0.0.gem 20992 BLAKE2B 0a297ad96a76ce38497c26c596581b3082d7cb9f2b0401ff90a2985a82340ac5e19124d03dde807a57d6765c2af93ef167a1557be171bffa71aee595a6ebb3c4 SHA512 d1e33f318e45ea212a84eea436f396ac9a1fb5ceb3bba018ff5b58211352954447f798148092bf46a8e29c6bc7d81e1c091f95e68f43339d4de63e46c98e5e0f
DIST delayer-deferred-2.1.0.gem 20992 BLAKE2B f50486ee9ca431fe637d15be99e7e0b4fae443cd8c8e5bf12f40e199361909b8a18147cda4809cd11222a86052ccb418333b86b1dfd95f85885232949ca6eb59 SHA512 314a406c14a05ad9f0c1ae8feb88612148e53f62a1b091feddce385c63fd4acc25e6b869e55961f021966fd0a928f6145cb4c824e8d299441cc5d4d72c6c2dc9
DIST delayer-deferred-2.1.1.gem 21504 BLAKE2B b32f8e49fabe2c3c4e060fd68cb080cb4b5694752b58d1b153dfc4f56d0690d0c77204b18e93c734787a6c44ba9786921d8fa1b8c7024e49251d804dc4818cdf SHA512 3d2f24799b44a132fd4ddfb5d8851dc74647b7c373405a51ec8deb94754f2d62de8421833d5e495d411958886d733963507edc47c4b601b75c0f86f2223b3223
+DIST delayer-deferred-2.1.3.gem 21504 BLAKE2B c8f44cbb89fd249b6ab708efd923b2cdf3d336a836f75882cced00c3413bf7e0592e19f5e05e327c45b1f5e40f606e07496e09c71e7ac79a479bbf84034971df SHA512 9337a6d9e36cfac58f14e4a08ee97aa675e721a290c4f2ca53c082193470a7303d7256e964a99c4f4729163949c2e054be58bde0b2ee3be397c36f49e2ae6d1f
diff --git a/dev-ruby/delayer-deferred/delayer-deferred-2.1.3.ebuild b/dev-ruby/delayer-deferred/delayer-deferred-2.1.3.ebuild
new file mode 100644
index 00000000000..0c793ee5ecc
--- /dev/null
+++ b/dev-ruby/delayer-deferred/delayer-deferred-2.1.3.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+USE_RUBY="ruby24 ruby25 ruby26 ruby27"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Ruby implementation of JSDeferred"
+HOMEPAGE="https://github.com/toshia/delayer-deferred"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+ruby_add_rdepend "dev-ruby/delayer:1"
+
+all_ruby_prepare() {
+ sed -i -e '/bundler/ s:^:#:' Rakefile test/helper.rb || die
+ sed -i -e '/simplecov/,/^end/ s:^:#:' test/helper.rb || die
+}